> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve marketplace config

> Retrieve marketplace config



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /marketplace/{marketplace_id}/config
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /marketplace/{marketplace_id}/config:
    parameters:
      - name: marketplace_id
        in: path
        description: marketplace id
        required: true
        schema:
          type: string
    get:
      tags:
        - Marketplace
      summary: Retrieve marketplace config
      description: Retrieve marketplace config
      operationId: get-marketplace-config
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      marketplace_config:
                        $ref: '#/components/schemas/MarketplaceConfig'
                    type: object
components:
  schemas:
    MarketplaceConfig:
      title: MarketplaceConfig
      type: object
      required:
        - marketplace_id
        - marketplace_name
        - marketplace_slug
        - marketplace_type
        - marketplace_store_id
        - sync_products
        - sync_inventory
        - sync_orders
        - categories
        - customer_groups
      properties:
        marketplace_id:
          type: string
        marketplace_name:
          type: string
        marketplace_slug:
          type: string
        marketplace_type:
          $ref: '#/components/schemas/MarketplaceType'
        marketplace_store_id:
          type:
            - string
            - 'null'
          readOnly: true
        marketplace_store_name:
          type:
            - string
            - 'null'
          readOnly: true
        required_credentials_params:
          type:
            - object
            - 'null'
          readOnly: true
        sync_products:
          type: boolean
        sync_inventory:
          type: boolean
        sync_orders:
          type: boolean
        categories:
          type: array
          items:
            $ref: '#/components/schemas/MarketplaceCategory'
        customer_groups:
          type: array
          items:
            $ref: '#/components/schemas/MarketplaceCustomerGroup'
    MarketplaceType:
      title: MarketplaceType
      type: string
      enum:
        - amazon
        - flipkart
        - marketplace
    MarketplaceCategory:
      title: MarketplaceCategory
      allOf:
        - $ref: '#/components/schemas/CategoryCommonDetail'
    MarketplaceCustomerGroup:
      title: MarketplaceCustomerGroup
      allOf:
        - $ref: '#/components/schemas/CustomerGroup'
    CategoryCommonDetail:
      title: CategoryCommonDetail
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        active:
          type: boolean
          default: true
        parent_category_id:
          type:
            - string
            - 'null'
        slug:
          type: string
        product_count:
          type: integer
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        modified_at:
          type: string
          format: date-time
          readOnly: true
        child_categories:
          $ref: '#/components/schemas/ChildCategory'
      x-tags:
        - Catalog
    CustomerGroup:
      title: CustomerGroup
      type: object
      required:
        - name
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
        slug:
          type: string
          readOnly: true
        description:
          type:
            - string
            - 'null'
        is_default:
          description: first record will be treated as default if not changed.
          type: boolean
        active:
          type: boolean
          default: true
      x-tags:
        - Store
    ChildCategory:
      title: ChildCategory
      allOf:
        - $ref: '#/components/schemas/CategoryCommonDetail'
      x-tags:
        - Catalog
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````